# Idiomas

Es fácil añadir un nuevo idioma a tu instalación básica de Flarum. Sólo tienes que seguir las siguientes instrucciones para descargar e instalar el paquete de idioma de tu elección.

Una vez que hayas añadido un paquete de idioma, puedes establecerlo como idioma por defecto para tu foro. Y si alguna vez descubres que no necesitas uno de los paquetes de idiomas instalados, siempre puedes desactivarlo. Si usas extensiones de terceros, asegúrate de leer esto antes de empezar.

# Instalación del paquete de idioma

Para empezar, visite la etiqueta Extensiones > Idiomas (opens new window) en el sitio de la Comunidad Flarum y encuentre un paquete de idioma que desee instalar.

Los paquetes de idiomas se instalan de la misma manera que las extensiones. El idioma aparecerá en la página de Extensiones de la interfaz de administración y podrás activarlo allí.

Eso es todo. Ahora debería poder utilizar el selector de idioma en la cabecera de su sitio para cambiar la visualización de su foro al nuevo idioma.

# Establecer el idioma por defecto

Una vez que haya instalado un paquete de idioma y se haya asegurado de que funciona, es posible que quiera establecerlo como idioma por defecto para los nuevos usuarios e invitados. Puedes hacerlo en la página Básicos de la interfaz de administración.

# Desactivar un Paquete de Idioma

Si decides que no necesitas dar soporte a un determinado idioma, después de todo, puedes desactivarlo. Simplemente localice el paquete de idiomas en la página Extensiones de la interfaz de administración y desactívelo.

Desactivar un idioma puede ser útil si tienes un sitio monolingüe y no quieres que el selector de idioma aparezca en la cabecera del sitio. El selector de idioma se oculta cuando sólo está habilitado un idioma.

# Extensiones de la Comunidad

Mientras que los paquetes de idiomas descargados desde el sitio de la Comunidad Flarum generalmente incluirán traducciones para todas las extensiones que vienen incluidas en Flarum, no por regla general cubrirán cualquier extensión de la comunidad que pueda tener instalada. Es responsabilidad de los desarrolladores proporcionar y mantener las traducciones de sus extensiones.

Por lo tanto, antes de instalar una extensión comunitaria, debe comprobar que incluye traducciones para cada paquete de idiomas que haya instalado. Si descubre que una extensión no es compatible con un idioma que usted necesita, póngase en contacto directamente con el desarrollador para que le añada las traducciones necesarias.